<div class="container mt-5">
 <div class="card">
  <div class="d-flex justify-content-between p-3">
    <div class="image">
        <img src="assets/img/logo.png" alt="" width="40" height="40">
    </div>
    <div class="quiz-header">
      <h4 style="font-family: cursive ;">Angular & Typescript</h4>
      <span style="font-family: italic ;">Welcome {{name}}!</span>
    </div> 
  </div>

 <ng-container *ngIf="!isQuizCompleted">
  <div class="d-flex justify-content-around py-3">
    <div class="score">
     <h5>{{points}} Points</h5>
    </div>
    <div class="Question-remain">
      <span style="font-style: italic;">Question {{CurrentQuestions+1}} of {{questionList.length}}</span>
    </div>
    <div class="timer">
       <h5>{{counter}} Sec</h5>
    </div>
  </div>
  
    <div class="progress mb-3">
      <div class="progress-bar bg-success" role="progressbar" [ngStyle]="{'width':progress + '%'}" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>   
    </div>
    <div class="question">
        <div class="card">
          <!-- <h3>what is your name?</h3> -->
        <h3>{{questionList[CurrentQuestions]?.questionText}}</h3>
        </div>
    </div>
    <div class="option">
        <ol *ngFor = "let option of questionList[CurrentQuestions]?.options">
            <li (click)="answer(CurrentQuestions+1,option)">
                <div appChangeBg [isCorrect]="option.correct" class="card">
                  {{option.text}}
                </div>
            </li>
            
        </ol>
    </div>
 
    <div class="d-flex justify-content-between">
        <!-- <button type="button" class="btn btn-primary waves-effect waves-light mt-2 me-1">
            <i class="uil uil-shopping-cart-alt me-2"></i> Add to cart
        </button> -->
        

       <button class="btn" [disabled]="CurrentQuestions === 0" (click)="previousQuestion()"><i class="fas fa-chevron-left text-primary fa-2x" aria-hidden="true"></i></button>
       <button class="btn"(click)="resetQuiz()"><i class="fas fa-refresh text-primary fa-2x" aria-hidden="true"></i></button>
       <button class="btn" (click)="nextQuestions()"><i class="fas fa-chevron-right text-primary fa-2x" aria-hidden="true"></i></button>
    </div>

 </ng-container>

<ng-container *ngIf="isQuizCompleted">
  <div class="row d-flex justify-content-between">
    <img style="width: 50%;" class="img-fluid col-sm-12 mx-auto" src="assets/img/celebration.jpg"  alt="">
    <div class="result text-center col-md-6 col-sm-12">
      <h3>Congratulation!! <br> You have completed the quiz. <br> Below is your result:</h3>
      <p>Total Question Attempted : {{questionList.length}} </p>
      <p>Total Correct Answered : {{correctAnswer}}</p>
      <p>Total Wrong Answered : {{inCorrectAnswer}}</p>
      <p>Your Score :{{points}} </p>
    </div>
  </div>
</ng-container>

 </div>
</div>



